### Eclipse Workspace Patch 1.0
#P fluid-components
Index: src/webapp/fluid-components/js/fluid/InlineEdit.js
===================================================================
--- src/webapp/fluid-components/js/fluid/InlineEdit.js	(revision 5962)
+++ src/webapp/fluid-components/js/fluid/InlineEdit.js	(working copy)
@@ -69,12 +69,19 @@
     };
     
     var finish = function (that) {
+        var oldValue = that.viewEl.text();
+        var newValue = that.editField.val();
+        
+        // FLUID-1770: the finishedEditing function is depricated 
+        // in favor of using the afterFinish and modelChanged events
         if (that.options.finishedEditing) {
             that.options.finishedEditing(that.editField[0], that.viewEl[0]);
         }
-        that.updateModel(that.editField.val());
-        that.events.afterFinish.fire();
         
+        that.updateModel(newValue);
+        
+        that.events.afterFinish.fire(newValue, that.editField[0], oldValue, that.viewEl[0]);
+        
         that.editContainer.hide();
         that.viewEl.show();
     };
@@ -125,11 +132,13 @@
         }
     };
     
-    var updateModel = function (that, newValue, source) {
+    var updateModel = function (that, newValue, source, initial) {
         var change = that.model.value !== newValue;
         if (change) {
             that.model.value = newValue;
-            that.events.modelChanged.fire(newValue);
+            if (!initial) {
+                that.events.modelChanged.fire(newValue, that);
+            }
         }
         that.refreshView(source); // Always render, because of possibility of initial event
     };
@@ -256,7 +265,7 @@
         setupEditContainer(that);
         var padding = that.viewEl.css("padding-right");
         that.existingPadding = padding? parseFloat(padding) : 0;
-        that.updateModel(that.viewEl.text());
+        updateModel(that, that.viewEl.text(), "",true);
         
         // Add event handlers.
         bindMouseHandlers(that);
